import request from '@/utils/request'

// 查询公告列表
export function listAduit(query) {
  return request({
    url: '/reward/audit/list',
    method: 'get',
    params: query
  })
}
//查询详细
export function getDetail(query) {
  return request({
    url: '/reward/apply/detail/' + query,
    method: 'get'
  })
}
//审核通过/不通过
export function filePass(fileId,fileState) {
  return request({
    url: '/reward/file/filePass',
    method: 'get',
    params:{
      fileId :fileId ,
      fileState:fileState,
    }
  })
}
//材料校验
export function checkFile(applyId ){
  return request({
    url: '/reward/file/checkFile/'+applyId,
    method: 'get',
  })
}
//审核提交
export function approved(applyId){
  return request({
    url: '/reward/audit/approved/'+ applyId,
    method: 'get',
  })
}
//退回
export function applyBack(applyId,applyMsg){
  return request({
    url: '/reward/audit/applyBack',
    method: 'get',
    params:{
      applyId:applyId,
      applyMsg:applyMsg
    }
  })
}
